%define name		armagetron
%define sourcename	armagetronad
%define version 	0.2.8.2.1
%define release 	%mkrel 3

Summary:	Armagetron Advanced, another 3d lightcycle game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade

URL:		http://armagetronad.net/

Source: 	http://prdownloads.sourceforge.net/armagetronad/%{sourcename}-%{version}.src.tar.gz
Source1:	%{name}-png.tar.bz2

BuildRoot:	%{_tmppath}/%{sourcename}-%{version}-buildroot
BuildRequires:	SDL_image-devel
BuildRequires:	X11-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	libpng-devel
#(peroyvind) dunno what this is nor why it's required, but we don't have it and it shouldn't be required
%define	_requires_exceptions	BEGIN_RIM

%description
Another very nice and networked Tron game using OpenGL. Armagetron Advanced is
the continuation of the original Armagetron game.

%prep
%setup -q -n %{sourcename}-%{version}

%build
%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--disable-games

%make "-I. -I.. -I../.. `sdl-config --cflags` $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{_gamesdatadir}/doc $RPM_BUILD_ROOT%{_datadir}

# remove unwanted files
rm -f $RPM_BUILD_ROOT%{_gamesbindir}/armagetronad-uninstall
rm -rf $RPM_BUILD_ROOT%{_gamesdatadir}/%{sourcename}/{desktop,scripts}
rm -rf $RPM_BUILD_ROOT%{_datadir}/{applnk,icons}

cat <<EOF >$RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh -e

REALTRON=%{_gamesbindir}/%{sourcename}

DATADIR=%{_gamesdatadir}/%{sourcename}
CONFDIR=%{_sysconfdir}/%{sourcename}
USERCONFDIR=\$HOME/.%{name}
USERDATADIR=\$USERCONFDIR/data
VARDIR=\$HOME/.%{name}
if [ ! -d \$USERCONFDIR ]; then
	# have to create configuration directory
	install -d \$USERCONFDIR
fi
if [ -f \$HOME/.%{name}rc ]; then
	# upgrade from before 0.2
	mv -f \$HOME/.%{name}rc \$USERCONFDIR/user.cfg
fi

CMDLINE="--datadir \$DATADIR --configdir \$CONFDIR --userconfigdir \$USERCONFDIR --vardir \$VARDIR"
if [ -d \$USERDATADIR ]; then
	CMDLINE="\$CMDLINE --userdatadir \$USERDATADIR"
fi
exec \$REALTRON \$CMDLINE "\$@"
EOF

tar xjf %{SOURCE1}
install -m0644 %{name}-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m0644 %{name}-32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m0644 %{name}-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Armagetron Advanced
Comment=Another 3d lightcycle game
Exec=soundwrapper %_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%attr(0755,root,games) %{_gamesbindir}/%{name}
%attr(2755,root,games) %{_gamesbindir}/%{sourcename}
%{_gamesdatadir}/%{sourcename}
%dir %{_sysconfdir}/%{sourcename}
%config(noreplace) %{_sysconfdir}/%{sourcename}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_defaultdocdir}/%{sourcename}



%changelog
* Tue Dec 04 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.2.8.2.1-3mdv2008.1
+ Revision: 115207
- drop /var/lib/games/armagetron dir, put all settings and results in $HOME/.armagetron

  + Thierry Vignaud <tvignaud@mandriva.com>
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.8.2.1-2mdv2008.0
+ Revision: 64188
- rebuild

* Tue May 22 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.2.8.2.1-1mdv2008.0
+ Revision: 29746
- Updated to 0.2.8.2.1.


* Tue Jan 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.7.1-5mdv2007.0
+ Revision: 115470
- kill old debian menu

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 0.2.7.1-4mdv2007.1
+ Revision: 89973
- xdg menu
- Import armagetron

* Thu Aug 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.2.7.1-3mdk
- Fix summary, menu name and URL

* Mon Aug 01 2005 Guillaume Bedot <littletux@mandriva.org> 0.2.7.1-2mdk
- rebuild
- Patch10: allows to build with g++4

* Tue Apr 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.2.7.1-1mdk
- 0.2.7.1
- Drop patches 3 to 6

* Wed Oct 27 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.6.0-4mdk
- lib64 fixes
- put back 64-bit fixes that got nuked away somehow since 9.2

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.6.0-3mdk
- Rebuild with new menu

* Tue Jul 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.6.0-2mdk
- rebuild with gcc 3.4 (patch5)

* Sat Apr 24 2004 Michael Scherer <misc@mandrake.org> 0.2.6.0-1mdk
- New release 0.2.6.0

